[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# THelpDBISourceDirectories

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lazhelpintf.pas line 248

`type THelpDBISourceDirectories = class(THelpDBISourceDirectory)`
`public`
`constructor Create();`
`function FileMatches(); override;`
`function GetFullFilename; override;`
`function GetBasePath; override;`
`published`
`property BaseDirectory: string; [rw]`
`end;`

## Inheritance

`THelpDBISourceDirectories`
`THelpDBISourceDirectory` |  |
`THelpDBISourceFile` |  |
`THelpDBItem` |  |
`TPersistent`
?
`TObject`